Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine.value
Class LengthManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.LengthManager

All Implemented Interfaces:
  ValueManager

Direct Known Subclasses:
  BaselineShiftManager, EnableBackgroundManager, FontSizeManager, KerningManager, LineHeightManager, MarginLengthManager, RectManager, SpacingManager, StrokeDasharrayManager, StrokeDashoffsetManager, StrokeWidthManager

    public abstract class LengthManager

extends AbstractValueManager

This class provides a manager for the property with support for length values.

Field Summary
`protected static int` | `BOTH_ORIENTATION`
`protected static int` | `HORIZONTAL_ORIENTATION`
`protected static int` | `VERTICAL_ORIENTATION`

Constructor Summary
`LengthManager()`

Method Summary
`Value` | `computeValue(CSSStylableElement elt, String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` | `createFloatValue(short type, float floatValue)` Implements `ValueManager.createFloatValue(short,float)`.
`Value` | `createValue(org.w3c.css.sac.LexicalUnit lu, CSSEngine engine)` Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.
`protected abstract int` | `getOrientation()` Indicates the orientation of the property associated with this manager.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, getPropertyName, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.css.engine.value.ValueManager
`getDefaultValue, getPropertyName, getPropertyType, isAdditiveProperty, isAnimatableProperty, isInheritedProperty`

Field Detail

### HORIZONTAL_ORIENTATION

    protected static final int HORIZONTAL_ORIENTATION

See Also:
  Constant Field Values

### VERTICAL_ORIENTATION

    protected static final int VERTICAL_ORIENTATION

See Also:
  Constant Field Values

### BOTH_ORIENTATION

    protected static final int BOTH_ORIENTATION

See Also:
  Constant Field Values

Constructor Detail

### LengthManager

    public LengthManager()

Method Detail

### createValue

    public Value createValue(org.w3c.css.sac.LexicalUnit lu,
                             CSSEngine engine)
                      throws DOMException

  Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.

  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `DOMException`

### createFloatValue

    public Value createFloatValue(short type,
                                  float floatValue)
                           throws DOMException

  Implements `ValueManager.createFloatValue(short,float)`.

  Specified by:
    `createFloatValue` in interface `ValueManager`
  Overrides:
    `createFloatValue` in class `AbstractValueManager`
  Parameters:
    `type` - A unit code as defined above. The unit code can only be a float unit type
    `floatValue` - The new float value.
  Throws:
    `DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `AbstractValueManager`
  Parameters:
    `elt` - The owner of the value.
    `pseudo` - The pseudo element.
    `engine` - The CSSEngine.
    `idx` - The property index in the engine.
    `sm` - The computed style map.
    `value` - The value to compute.

### getOrientation

    protected abstract int getOrientation()

  Indicates the orientation of the property associated with this manager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.